#ifndef _TRIANGLE_H
#define _TRIANGLE_H

#include "vector.h"
#include "ball.h"

class Triangle
{
public:
    Triangle();
    Triangle( Vector &v1, Vector &v2, Vector &v3 );
    ~Triangle();
    void draw();


    bool checkInside( const Ball &ball );
    bool checkEdge( const Ball &ball, const Vector &edge1, const Vector edge2 );
    bool checkCollision( const Ball &ball, double &t );
    double distance( const Vector &p );
    double angleBetween(  Vector &p );


    Vector vector[ 3 ];
    Vector mid;
    Vector normal;
    bool elasticity;
};

extern Triangle        *tsel;


#endif

